# Component Configuration File

# Motors
dc_motors:
  dc_motor1:
    enabled: true
    map_name: drive_left
    alias:
      - left_motor
      - left_drive
      - motor_left
  dc_motor2:
    enabled: true
    map_name: drive_right
    alias:
      - right_motor
      - right_drive
      - motor_right
  dc_motor3:
    enabled: true
    map_name: winch
    alias:
      - winch_motor
      - motor_winch
  dc_motor4:
    enabled: true
    map_name: trigger_arm
    alias:
      - arm_trigger
      - trigger
      - arm

# Servos
servos:
  servo1:
    enabled: true
    map_name: winch_left
    alias:
      - servo_motor1
      - tape_measure_winch1
      - main_winch
  servo2:
    enabled: true
    map_name: winch_right
    alias:
      - servo_motor2
      - tape_measure_winch2
      - secondary_winch
  servo3:
    enabled: true
    map_name: arm_up
    alias:
      - servo_motor6
      - up_arm
      - arm_vert
  servo4:
    enabled: true
    map_name: arm_side
    alias:
      - arm_sweep
      - servo_motor5
      - side_arm
  servo5:
    enabled: true
    map_name: all_clear
    alias:
      - servo_motor4
      - allclear

# Touch Sensors
touch_sensors:
  touch_sensor1:
    enabled: false
    map_name: touch_sensor
    alias:
      - button

# Light Sensors
light_sensors:
  light_sensor1:
    enabled: false
    map_name: light_sensor
    alias:
      - mod_rob_light_sensor
      - ods

# Color Sensors
color_sensors:
  color_sensor1:
    enabled: false
    map_name: color_sensor
    alias:
      - main_color_sensor
      - ada_fruit_color_sensor

# IR Seeker Sensors
ir_seekers:
  ir_seeker1:
    enabled: false
    map_name: main_ir_seeker
    alias:
      - ir_seeker1
      - ir1


# Gyrometers
gyrometers:
  gyrometer1:
    enabled: false
    using_phone: true
    # map_name: main_gyrometer
    alias:
      - gyrometer1
      - phone_gyro

# Accelermoters
accelerometers:
  accelerometer1:
    enabled: false
    using_phone: true
    # map_name: main_accelerometer

# Camera
# Valid function types:
# color_grid    =     a grid of colors returned from the camera. Extra parameters are grid_x,
#                     grid_y, grid_side, and refresh_rate. grid_x and grid_y set the grid width
#                     & height; grid_side overrides grid_x and grid_y to set both width & height;
#                     refresh_rate sets how many times per second the grid is going to update itself.
#                     Either grid_x and grid_y or grid_size required. refresh_rate required. Will
#                     silently fail to load otherwise.
#
# NOTE: If function is undefined, it will silently assume that the device is disabled.
camera:
  camera1:
    enabled: false
    function: color_grid
    extra:
      grid_x: 3
      grid_y: 3
      grid_side: 3
      refresh_rate: 30.0
    alias:
      - color_grid
